/* SPI Master example

   This example code is in the Public Domain (or CC0 licensed, at your option.)

   Unless required by applicable law or agreed to in writing, this
   software is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
   CONDITIONS OF ANY KIND, either express or implied.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "esp_system.h"
#include "driver/spi_master.h"
#include "driver/gpio.h"

#include "AQM1248A.h"

void app_main(void)
{

    int a,b,c;

    Init_LCD();
    
    while(1)
    {
    	LCD_CLS(0);
	    for(a=0; a<128; a += 10)
    	    for(b=0; b < 48; b += 5) LCD_PSET(a,b,1);
    	vTaskDelay(3000 / portTICK_PERIOD_MS);

    	LCD_CLS(0);
    	for(a=0; a<128; a += 10)
    	{
    	    LCD_LINE(a,0,127,46,1);
    	    LCD_LINE(0,46,a,0,1);
    	}
    	vTaskDelay(3000 / portTICK_PERIOD_MS);

    	LCD_CLS(0);
    	LCD_Print_C(10,10,'A',1,1); LCD_Print_C(20,10,'a',1,1);
    	LCD_Print_Str(10,10,"AQM1248A LCD TEST",1,1);
    	LCD_Print_Str(10,25,"ｴｷｭｳｴﾑ1248ｴ LCD ",1,1);
    	vTaskDelay(3000 / portTICK_PERIOD_MS);

    	LCD_CLS(0);
    	LCD_Print_C(10,0,'A',1,2); LCD_Print_C(60,0,'a',1,2);
    	LCD_Print_Str(0,16,"AQM1248A",1,2);
    	LCD_Print_Str(0,32,"ｴｷｭｳｴﾑ1248",1,2);
    	vTaskDelay(3000 / portTICK_PERIOD_MS);

    	a = 0x20; LCD_CLS(0); c = 0;
    	while(a < 0x70)
    	{
    	   for(b=0; b<120; b += 8)
    	   {
    	       LCD_Print_C(b,c,a,1,1);
    	       a ++;
    	   }
    	   c += 10;
    	}
    	vTaskDelay(3000 / portTICK_PERIOD_MS);
	
    	a = 0x70; LCD_CLS(0); c = 0;
    	while(a < 0xc0)
    	{
    	   for(b=0; b<120; b += 8)
    	   {
    	       LCD_Print_C(b,c,a,1,1);
    	       a ++;
    	   }
    	   c += 10;
    	}
    	vTaskDelay(3000 / portTICK_PERIOD_MS);
	}   
}


